Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035326
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2017-02-21 13:242017-03-15 20:20
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisiond4ce87bb216b
ProjectionnoneETAnoneTarget Version3.0PR17Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035326: Support basic authentication

DescriptionSee also the related issue for more information.

To support basic authentication through specific java code and tools like SoapUI we need to a 401 in case of an authentication failure.
Steps To ReproduceSee related issue and the testcases here:
https://code.openbravo.com/tools/automation/pi-mobile/file/c6e956d16bee/src-test/org/openbravo/test/mobile/retail/extmodules/unittest/tests/statelesswebservice [^]
Proposed Solutionreturn basic authentication header in case of 401
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0035325RR17Q3 closedmtaal Retail Modules Support basic authentication in mobile service calls 

-  Notes
(0094509)
hgbot (developer)
2017-02-21 13:49

Repository: erp/devel/pi
Changeset: d4ce87bb216baacfec04a7e92aee1f0ac9259629
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Feb 21 13:48:41 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d4ce87bb216baacfec04a7e92aee1f0ac9259629 [^]

Fixes issue 35326: Support basic authentication
Return 401 status code when authentication fails

---
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
---
(0094512)
hgbot (developer)
2017-02-21 13:53

Repository: tools/automation/pi-mobile
Changeset: 1e44a524fa1fbfe6529e3392c919b309d99c728c
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Feb 21 13:53:08 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/1e44a524fa1fbfe6529e3392c919b309d99c728c [^]

Related to issue 35325, related to issue 35326
Comment out the headers which pass directly basic auth information. Are not needed anymore.
Keep commented code for later usage/reference

---
M src-test/org/openbravo/test/mobile/retail/mobilecore/webservice/WebServicesHelper.java
---
(0094590)
alostale (developer)
2017-02-24 09:01

reviewed
(0094594)
hgbot (developer)
2017-02-24 09:48

Repository: erp/devel/pi
Changeset: 56448231f7f226c38ee20bffea151b60a1ac2c14
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Feb 24 09:48:24 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/56448231f7f226c38ee20bffea151b60a1ac2c14 [^]

Related to issue 35326: Support basic authentication
back out of changeset as it causes several retail offline tests to fail

---
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
---
(0094596)
hgbot (developer)
2017-02-24 09:49

Repository: tools/automation/pi-mobile
Changeset: e346994c7452dcb03ce1b3667be01809f26a3633
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Feb 24 09:49:36 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e346994c7452dcb03ce1b3667be01809f26a3633 [^]

Related to issue 35325, related to issue 35326
Backout of changeset as it causes several offline tests to fail

---
M src-test/org/openbravo/test/mobile/retail/mobilecore/webservice/WebServicesHelper.java
---
(0095201)
hudsonbot (developer)
2017-03-15 20:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095230)
hudsonbot (developer)
2017-03-15 20:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-21 13:24 mtaal New Issue
2017-02-21 13:24 mtaal Assigned To => mtaal
2017-02-21 13:24 mtaal Modules => Core
2017-02-21 13:24 mtaal Triggers an Emergency Pack => No
2017-02-21 13:24 mtaal Relationship added related to 0035325
2017-02-21 13:24 mtaal Review Assigned To => alostale
2017-02-21 13:48 mtaal Description Updated View Revisions
2017-02-21 13:49 hgbot Checkin
2017-02-21 13:49 hgbot Note Added: 0094509
2017-02-21 13:49 hgbot Status new => resolved
2017-02-21 13:49 hgbot Resolution open => fixed
2017-02-21 13:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d4ce87bb216baacfec04a7e92aee1f0ac9259629 [^]
2017-02-21 13:53 hgbot Checkin
2017-02-21 13:53 hgbot Note Added: 0094512
2017-02-24 09:01 alostale Note Added: 0094590
2017-02-24 09:01 alostale Status resolved => closed
2017-02-24 09:01 alostale Fixed in Version => 3.0PR17Q2
2017-02-24 09:48 hgbot Checkin
2017-02-24 09:48 hgbot Note Added: 0094594
2017-02-24 09:49 hgbot Checkin
2017-02-24 09:49 hgbot Note Added: 0094596
2017-03-15 20:19 hudsonbot Checkin
2017-03-15 20:19 hudsonbot Note Added: 0095201
2017-03-15 20:20 hudsonbot Checkin
2017-03-15 20:20 hudsonbot Note Added: 0095230


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker